<?php
require 'acesso.php';

	$res = array();
	//$id_firma    = $_POST['id_firma'];
	//$id_device = $_POST['id_device'];
	
	$inputJSON = file_get_contents('php://input');
	$dados = json_decode($inputJSON, TRUE); //convert JSON into array
	$codigo_pedi	= $dados['codigo_pedi'];
	$arcontro		= $dados['arcontro'];
	$codigo_prod	= $dados['codigo_prod'];
	$codigo_vend	= $dados['codigo_vend'];
	$codigo_clie	= $dados['codigo_clie'];
	$qtd_emb		= $dados['qtd_emb'];
	$qtd_uni		= $dados['qtd_uni'];
	$per_desc		= $dados['per_desc'];
	$val_desc		= $dados['val_desc'];
	$val_uni		= $dados['val_uni'];
	$val_tot		= $dados['val_tot'];
	$faturado		= $dados['faturado'];
	$brinde			= $dados['brinde'];
	$data_emis		= $dados['data_emis'];
	$hora_emis		= $dados['hora_emis'];
	$val_tot_fat	= $dados['val_tot_fat'];
	$val_tot_desc	= $dados['val_tot_desc'];
	$observacao		= $dados['observacao'];

	$query = "INSERT INTO `mobile_pedidos_itens` (`codigo_pedi`, `arcontro`, `codigo_prod`, `codigo_vend`, `codigo_clie`, `qtd_emb`, `qtd_uni`, `per_desc`, `val_desc`, 
	`val_uni`, `val_tot`, `faturado`, `brinde`, `data_emis`, `hora_emis`, `val_tot_fat`, `val_tot_desc`, `observacao`) VALUES (
	'$codigo_pedi', '$arcontro', '$codigo_prod', '$codigo_vend', '$codigo_clie', '$qtd_emb', '$qtd_uni', '$per_desc', '$val_desc', '$val_uni', '$val_tot', '$faturado', '$brinde', 
	'$data_emis', '$hora_emis', '$val_tot_fat', '$val_tot_desc', '$observacao')";
	$ret = $con->prepare($query);
	$ret->execute();
	$mensagem = $ret->errorInfo();
	if($mensagem[0] == "00000") {
		$id = $con->lastInsertId();
		/*$query = "SELECT codigo_pedi, arcontro, data_hora_envio FROM mobile_pedidos WHERE sr_recno = $id";
		$ret = $con->prepare($query);
		$ret->execute();
		$mensagem = $ret->errorInfo();
		if($mensagem[0] == "00000") {
			$row = $ret->fetch(PDO::FETCH_OBJ);
			*/$res["sucesso"] = 1;
			/*$res["data_hora_envio"] = $row->data_hora_envio;
			$res["codigo_pedi"] = $row->codigo_pedi;
			$res["arcontro"] = $row->arcontro;*/
		//}
	} else {
		$res["sucesso"] = 0;
	    $res["mensagem"] = $mensagem[2];
	}
	echo json_encode($res);
	$con = null;
?>

